Package ru.bitel.bgbilling.kernel.task.server.bean

# Class BGFutureTaskDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<BGFutureTask>
ru.bitel.bgbilling.common.dao.AbstractIdDao<BGFutureTask>
ru.bitel.bgbilling.kernel.task.server.bean.BGFutureTaskDao

public class BGFutureTaskDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<BGFutureTask>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGFutureTaskDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel(BGFutureTaskType futureTaskType, int id)`
  `void`
  `cancel(BGFutureTaskType futureTaskType, List<Integer> ids)`
  `void`
  `delete(BGFutureTaskType futureTaskType, int id)`
  `void`
  `delete(BGFutureTaskType futureTaskType, List<Integer> ids)`
  `void`
  `deleteOld(BGFutureTaskType futureTaskType, int days)`
  `protected BGFutureTask`
  `getFromRS(ResultSet rs)`
  `List<BGFutureTask>`
  `list(int moduleId, BGFutureTaskType futureTaskType, BGEntityType entityType, int entityId, BGFutureTaskStatus status)`
  `List<BGFutureTask>`
  `listForRun()`
  `protected void`
  `updateImpl(BGFutureTask futureTask)`
  `void`
  `updateStatus(BGFutureTaskType futureTaskType, int id, BGFutureTaskStatus status)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGFutureTaskDao

    public BGFutureTaskDao(Connection con)

- ## Method Details

  - ### list

    public List<BGFutureTask> list(int moduleId, BGFutureTaskType futureTaskType, BGEntityType entityType, int entityId, BGFutureTaskStatus status) throws SQLException
    Throws:
      `SQLException`

  - ### cancel

    public void cancel(BGFutureTaskType futureTaskType, int id) throws SQLException
    Throws:
      `SQLException`

  - ### cancel

    public void cancel(BGFutureTaskType futureTaskType, List<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### updateStatus

    public void updateStatus(BGFutureTaskType futureTaskType, int id, BGFutureTaskStatus status) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(BGFutureTaskType futureTaskType, int id) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(BGFutureTaskType futureTaskType, List<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected BGFutureTask getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<BGFutureTask>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(BGFutureTask futureTask) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<BGFutureTask>`
    Throws:
      `SQLException`

  - ### listForRun

    public List<BGFutureTask> listForRun() throws SQLException
    Throws:
      `SQLException`

  - ### deleteOld

    public void deleteOld(BGFutureTaskType futureTaskType, int days) throws SQLException
    Throws:
      `SQLException`